Page MenuHomeFreeBSD

[NEW PORT] www/py-django-statici18n: Helper for generating Javascript catalog to static files
ClosedPublic

Authored by ultima1252_gmail.com on Oct 20 2015, 12:04 AM.

Details

Reviewers
miwi
koobs
Group Reviewers
Contributor Reviewers (ports)
Summary

When dealing with internationalization in JavaScript code, Django provides
the javascript_catalog view which sends out a JavaScript code library with
functions that mimic the gettext interface, plus an array of translation
strings.

At first glance, it works well and everything is fine. But, because
javascript_catalog view is generating JavaScript catalog dynamically
on each request, it's adding an overhead that can be an issue with site
growth.

WWW: https://github.com/zyegfryed/django-statici18n

Test Plan

poudiere bulk -t is happy with 102amd64, 102i386, 93amd64, 93i386.
Tested it and appears to work fine.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 838
Build 838: arc lint + arc unit

Event Timeline

ultima1252_gmail.com retitled this revision from to www/py-django-statici18n New Port.Oct 20 2015, 12:04 AM
ultima1252_gmail.com updated this object.
ultima1252_gmail.com edited the test plan for this revision. (Show Details)
ultima1252_gmail.com updated this revision to Diff 9520.
koobs retitled this revision from www/py-django-statici18n New Port to [NEW PORT] www/py-django-statici18n: Provides helper for generating Javascript catalog to static files.Oct 20 2015, 8:47 AM
koobs edited edge metadata.
koobs added a reviewer: koobs.Oct 20 2015, 8:50 AM
koobs requested changes to this revision.
koobs added a subscriber: koobs.
koobs added inline comments.
www/py-django-statici18n/Makefile
12

Use the upstream (setup.py) description= field if its appropriate (length, etc)

Upstream setup.py description=

Provides helper for generating Javascript catalog to static files

Chopping off the unnecessary "Provides" leaves:

COMMENT=Helper for generating Javascript catalog to static files

14

Add LICENSE_FILE if one exists in $WRKSRC

16

This has been tested or explicitly mentions support for django 1.8 / 1.9?

18

This has been tested or explicitly mentions support for Python 2.x / 3.x?

This revision now requires changes to proceed.Oct 20 2015, 8:50 AM
ultima1252_gmail.com updated this revision to Diff 9539.
  • Added LICENSE_FILE
  • Added RUN_DEPEND django-appconf
  • Changed RUN_DEPEND for django <=18
ultima1252_gmail.com marked 4 inline comments as done.Oct 20 2015, 3:53 PM
ultima1252_gmail.com added inline comments.
www/py-django-statici18n/Makefile
16

tox suggests it has not been tested on 1.9 yet

18

Tox shows 1.4-1.8 on 2.x and 3.x

Looks like it still needs to be tested on 1.9

18

Compatible with both versions.

ultima1252_gmail.com retitled this revision from [NEW PORT] www/py-django-statici18n: Provides helper for generating Javascript catalog to static files to [NEW PORT] www/py-django-statici18n: Helper for generating Javascript catalog to static files.Oct 21 2015, 3:16 PM
ultima1252_gmail.com edited edge metadata.
koobs added inline comments.Nov 8 2015, 5:47 AM
www/py-django-statici18n/Makefile
16

install_requires says >= 1.4

Ports should match what the python package declares (with notes/comments if different)

18

Add TEST_DEPENDS for test dependencies (only those that are *required*, not necessarily all that are listed in requirements-test.txt)

Bonus points:

  • patch setup.py to use tests_require and test_suite (enabling setup.py test command to work, then send up stream)
21

Add do-test: target to run unit tests (via python setup.py test)

miwi added a reviewer: miwi.Dec 29 2015, 3:01 AM
miwi accepted this revision.
miwi accepted this revision.

Was committed with Revision 404101.

koobs edited edge metadata.Dec 29 2015, 6:26 AM
koobs accepted this revision.
This revision is now accepted and ready to land.Dec 29 2015, 6:26 AM
miwi closed this revision.Dec 29 2015, 6:36 AM

was committed in Revision 404101